Bug 591 - Call to missing acquisitions.pm module
Summary: Call to missing acquisitions.pm module
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 2.0.0
Hardware: PC All
: P2 critical (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 6182
  Show dependency treegraph
 
Reported: 2003-09-04 03:13 UTC by Chris Cormack
Modified: 2019-06-27 09:24 UTC (History)
0 users

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-20 23:32:58 UTC


---- Reported by robweir@alum.drexel.edu 2003-09-04 03:13:52 ----

In testing V2.0.0pre2 on windows against a set of almost blank data, we are
hitting either a bug or a missing file.

We are testing with acquisitions set to simple, marc set to 0 (off), and
both opac themes and template set to default english.

In Intranet, we do a simple catalog search.  We click on a title from the
resulting search list. This brings up detail.pl with the item displayed. We
click on the barcode which brings up moredetail.pl. Under Group, we click on
the Edit button, which brings up modbibitem.pl. At this point, if we edit
and then click to save changes, we get a server error because
updatebibitem.pl is accessed and it trys to use acquisitions.pm which
doesn't exist in the V2.0.0pre2 set of files.

Bottom line is updatebibitem.pl contains:
    use C4::Acquisitions
and there is no acquisitions.pm module to be found.

Is this a relic leftover from V1.2 or a missing file or a bug? With all the
emphasis on MARC, have the non-MARC modules not been updated? What settings
are recommended for manual entry of a small database that does not use MARC.



---- Additional Comments From rachel@katipo.co.nz 2003-09-04 08:48:11 ----

I think that you're right, and the non MARC stuff has not been "loved". I would 
have thought we'd have fixed this with our UNIDO install, but perhaps not.



---- Additional Comments From chris@bigballofwax.co.nz 2003-10-23 09:21:21 ----

Appears fixed in cvs,
updatebibitem.pl no longer has a call to 
use C4::Acquisitions;



---- Additional Comments From robweir@alum.drexel.edu 2003-10-24 12:31:05 ----

Verified as fixed in CVS. Thanks a bunch! Rob



--- Bug imported by chris@bigballofwax.co.nz 2010-05-20 23:32 UTC  ---

This bug was previously known as _bug_ 591 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=591

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was robweir@alum.drexel.edu.